Create a subscription checkout
Creates a checkout link for creating/managing a subscription
POST
/v1/hq/companies/{company_id}/subscriptions/checkoutAuthorization
BearerTokenAuth
AuthorizationBearer <token>
The Noona HQ API uses Bearer token for authentication.
Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.
Authorization: Bearer your-token
In: header
Path Parameters
company_id*string
Company id
Query Parameters
select?array<string>
expand?array<string>
Request Body
application/json
item_price_id*string
The Chargebee item price ID for the selected plan
Example
"starter-USD-Monthly"quantity?integer
Optional seat quantity for the subscription. Capped at the plan maximum.
Format
int32Response Body
application/json
curl -X POST "https://api.noona.is/v1/hq/companies/string/subscriptions/checkout" \ -H "Content-Type: application/json" \ -d '{ "item_price_id": "starter-USD-Monthly" }'{
"url": "http://example.com"
}Empty
Empty
Empty